﻿@model List<CurrencyViewModel>
@{
    Layout = null;
    var selectedFromName = "";
    var selectedToName = "";
    var selectedFromId = Request.Cookies["exchangeFrom"] != null ? Request.Cookies["exchangeFrom"].Value : Model.Where(p => p.Type == Xtoman.Domain.Models.ECurrencyType.Bitcoin).Select(p => p.Id.ToString()).FirstOrDefault();
    if (selectedFromId.HasValue()) { selectedFromName = Model.Where(p => p.Id == selectedFromId.ToInt()).Select(p => p.Name).FirstOrDefault(); }
    var selectedToId = Request.Cookies["exchangeTo"] != null ? Request.Cookies["exchangeTo"].Value : Model.Where(p => p.Type == Xtoman.Domain.Models.ECurrencyType.PerfectMoney).Select(p => p.Id.ToString()).FirstOrDefault();
    if (selectedToId.HasValue()) { selectedToName = Model.Where(p => p.Id == selectedToId.ToInt()).Select(p => p.Name).FirstOrDefault(); }
}

<div class="exchange-box" id="exchange-picker">
    <form novalidate="novalidate" id="homeExchangeForm" method="get" action="@Url.Action("Index", "Exchange")">
        <div class="mt-5 d-xl-flex justify-content-lx-between">
            <div class="w-100">
                <div class="exchange-box-input-wrapper">
                    <div class="mt-sm-2">
                        <div class="input-group">
                        <label for="pay">پرداخت می کنید</label>
                            <input type="number" id="pay" name="pay" required="" placeholder="پرداخت می کنید" aria-label="pay">
                            <select id="from" name="from" data-toggle="select" data-live-search="true" data-mobile="false">
                                @if (Model.Count > 0)
                                {
                                    foreach (var item in Model)
                                    {
                                        var selectedFromAttr = selectedFromId.HasValue() && selectedFromId == item.Id.ToString() ? " selected=\"selected\"" : "";
                                        <option value="@item.Id" @selectedFromAttr data-unitsign="@item.UnitSign" data-isfiat="@(item.IsFiat ? "1" : "0")" data-selection="<img alt='@item.Name' src='@Url.Content($"~/assets/img/svg/currencies/{item.Type.ToDisplay(DisplayProperty.ShortName)}-logo.svg")'/> <span>@item.UnitSign</span>" data-content="<img style='max-height:32px;' alt='@item.Name' src='@Url.Content($"~/assets/img/svg/currencies/{item.Type.ToDisplay(DisplayProperty.ShortName)}-logo.svg")'/> @item.UnitSign | <small class='text-muted'>@item.Type.ToDisplay(DisplayProperty.Prompt) | @item.Type.ToDisplay()</small>" data-tokens="@item.AlternativeName @item.UnitSign @item.Name">@item.UnitSign</option>
                                    }
                                }
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="currency-swap mx-3 mt-2 mb-1 mt-xl-2 mb-xl-0">
                <a href="#" onclick="swapExchange(); return false;" class="btn btn-outline-warning btn-sm d-block m-auto" id="currencySwapBtn">
                    <i class="far fa-exchange-alt"></i>
                </a>
            </div>
            <div class="w-100">
                <div class="exchange-box-input-wrapper">
                    <div class="mt-sm-2">
                        <div class="input-group">
                        <label for="receive">دریافت می کنید</label>
                            <input type="number" id="receive" name="receive" required="" placeholder="دریافت می کنید" aria-label="receive">
                            <select id="to" name="to" data-toggle="select" data-live-search="true" data-mobile="false">
                                @if (Model.Count > 0)
                                {
                                    foreach (var item in Model)
                                    {
                                        var selectedToAttr = selectedToId.HasValue() && selectedToId == item.Id.ToString() ? " selected=\"selected\"" : "";
                                        <option value="@item.Id" @selectedToAttr data-unitsign="@item.UnitSign" data-isfiat="@(item.IsFiat ? "1" : "0")" data-selection="<img alt='@item.Name' src='@Url.Content($"~/assets/img/svg/currencies/{item.Type.ToDisplay(DisplayProperty.ShortName)}-logo.svg")'/> <span>@item.UnitSign</span>" data-content="<img style='max-height:32px;' alt='@item.Name' src='@Url.Content($"~/assets/img/svg/currencies/{item.Type.ToDisplay(DisplayProperty.ShortName)}-logo.svg")'/> @item.UnitSign | <small class='text-muted'>@item.Type.ToDisplay(DisplayProperty.Prompt) | @item.Type.ToDisplay()</small>" data-tokens="@item.AlternativeName @item.UnitSign @item.Name">@item.UnitSign</option>
                                    }
                                }
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="buttons mr-xl-3 mt-4 mt-md-5 mt-xl-0">
                <button id="exchangeBtn" type="submit" class="mt-sm-2 btn btn-danger btn-block shadow-primary hover-translate-y-n3 btn-icon ml-sm-4 scroll-me"><span class="btn-inner--text">خرید</span><span class="btn-inner--icon"><i class="far fa-angle-left"></i></span></button>
            </div>
        </div>
        <div class="row mt-1">
            <div class="col-12 text-right text-small text-white">
                <b>نرخ فعلی تبدیل:</b>
                هر BTC برابر با 125,000,000 تومان
                <i class="fal fa-question-circle" data-toggle="tooltip" title="نرخ فعلی اعلام شده فقط به مدت 15 دقیقه بعد از ثبت سفارش معتبر است و تنها در صورتی که پرداخت شما در این مدت انجام شود تضمین می شود، پس از آن ممکن است نرخ تبدیل تغییر کند. "></i>
            </div>
        </div>
    </form>
</div>